net/gtk-vnc - The NetBSD Packages Collection

VNC viewer widget for GTK

gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded. It provides a core C library, and bindings for Python
(PyGTK).

Build dependencies

pkgtools/x11-links devel/py-gobject-shared x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/py-gobject-shared devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

lang/python27 x11/py-gtk2 devel/glib2 x11/gtk2 x11/gtk2 security/cyrus-sasl audio/pulseaudio security/gnutls security/gnutls security/libgcrypt x11/gtk3 lang/python27 x11/py-gtk2 devel/glib2 x11/gtk2 security/cyrus-sasl security/gnutls security/libgcrypt x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgtk-vnc-0.5.2nb43.tgz
NetBSD 8.0powerpcgtk-vnc-0.5.2nb40.tgz
NetBSD 8.0powerpcgtk-vnc-0.5.2nb43.tgz
NetBSD 8.0x86_64gtk-vnc-0.5.2nb40.tgz
NetBSD 8.0x86_64gtk-vnc-0.5.2nb42.tgz
NetBSD 9.0aarch64gtk-vnc-0.5.2nb43.tgz
NetBSD 9.0aarch64gtk-vnc-0.5.2nb40.tgz
NetBSD 9.0aarch64gtk-vnc-0.5.2nb42.tgz
NetBSD 9.0alphagtk-vnc-0.5.2nb43.tgz
NetBSD 9.0earmv6hfgtk-vnc-0.5.2nb43.tgz
NetBSD 9.0earmv7hfgtk-vnc-0.5.2nb43.tgz
NetBSD 9.0earmv7hfgtk-vnc-0.5.2nb43.tgz
NetBSD 9.0i386gtk-vnc-0.5.2nb40.tgz
NetBSD 9.0i386gtk-vnc-0.5.2nb43.tgz
NetBSD 9.0mips64ebgtk-vnc-0.5.2nb43.tgz
NetBSD 9.0powerpcgtk-vnc-0.5.2nb40.tgz
NetBSD 9.0powerpcgtk-vnc-0.5.2nb43.tgz
NetBSD 9.0sparc64gtk-vnc-0.5.2nb42.tgz
NetBSD 9.0sparc64gtk-vnc-0.5.2nb40.tgz
NetBSD 9.0sparc64gtk-vnc-0.5.2nb43.tgz
NetBSD 9.0x86_64gtk-vnc-0.5.2nb42.tgz
NetBSD 9.0x86_64gtk-vnc-0.5.2nb43.tgz
NetBSD 9.0x86_64gtk-vnc-0.5.2nb40.tgz
NetBSD 9.0x86_64gtk-vnc-0.5.2nb42.tgz
NetBSD 9.0x86_64gtk-vnc-0.5.2nb43.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

pulseaudio
Enable support for the PulseAudio sound server.
python
Enable Python support.
vnc-sasl

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.